
//  Elaimia.cs  (c) 2003 Kari Laitinen

//  http://www.naturalprogramming.com

//  2005-01-21  Tiedosto luotu.
//  2005-01-21  Viimeisin muutos.

using System ;

class  Elain
{
   string  lajin_nimi ;
   string  vatsan_sisalto ;

   public Elain( string  annettu_lajin_nimi ) 
   {
      lajin_nimi      =  annettu_lajin_nimi ;
      vatsan_sisalto  =  "" ;
   }

   public Elain( Elain  toinen_elain )
   {
      lajin_nimi      =  toinen_elain.lajin_nimi ;
      vatsan_sisalto  =  toinen_elain.vatsan_sisalto ;
   }

   public void ruoki( string  ruokaa_talle_elaimelle )
   {
      vatsan_sisalto  =  
          vatsan_sisalto  +  ruokaa_talle_elaimelle  +  ", "  ;
   }

   public void anna_puhua()
   {
      Console.Write( "\n Hei. Mina olen " + lajin_nimi     + "."
                   + "\n Olen syonyt: " + vatsan_sisalto + "\n" ) ;
   }
}

class  Elainkokeita
{
   static void Main()
   {
      Elain  kissaolio  =  new Elain( "kissa" ) ;
      Elain  koiraolio  =  new Elain( "vegaani koira" ) ;

      kissaolio.ruoki( "kalaa" ) ;
      kissaolio.ruoki( "kalkkunaa" ) ;

      koiraolio.ruoki( "salaattia" ) ;
      koiraolio.ruoki( "perunoita" ) ;

      Elain  toinen_kissa  =  new Elain( kissaolio ) ;

      toinen_kissa.ruoki( "maitoa" ) ;

      kissaolio.anna_puhua() ;
      koiraolio.anna_puhua() ;
      toinen_kissa.anna_puhua() ;
   }
}




